package com.yinet.bjtj.service.impl;

import java.util.List;

import com.yinet.bjtj.domain.BjljStatistics;
import com.yinet.bjtj.mapper.BjljStatisticsMapper;
import com.yinet.bjtj.service.IBjljStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yinet.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author yinet
 * @date 2020-04-23
 */
@Service
public class BjljStatisticsServiceImpl implements IBjljStatisticsService
{
    @Autowired
    private BjljStatisticsMapper bjljStatisticsMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public BjljStatistics selectBjljStatisticsById(Integer id)
    {
        return bjljStatisticsMapper.selectBjljStatisticsById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<BjljStatistics> selectBjljStatisticsList(BjljStatistics bjljStatistics)
    {
        return bjljStatisticsMapper.selectBjljStatisticsList(bjljStatistics);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertBjljStatistics(BjljStatistics bjljStatistics)
    {
        return bjljStatisticsMapper.insertBjljStatistics(bjljStatistics);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param bjljStatistics 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateBjljStatistics(BjljStatistics bjljStatistics)
    {
        return bjljStatisticsMapper.updateBjljStatistics(bjljStatistics);
    }

    /**
     * 删除【请填写功能名称】对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteBjljStatisticsByIds(String ids)
    {
        return bjljStatisticsMapper.deleteBjljStatisticsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteBjljStatisticsById(Integer id)
    {
        return bjljStatisticsMapper.deleteBjljStatisticsById(id);
    }

    //总计
    @Override
    public String BjljStatisticsQuantitySum() {
        return bjljStatisticsMapper.BjljStatisticsQuantitySum();
    }

    //总计企业和个体
    @Override
    public String BjljStatisticsTypeSum(String type){
       return bjljStatisticsMapper.BjljStatisticsTypeSum(type);
    };
    //总计企业
    @Override
    public String BjljStatisticsNumberSum(String type){
        return bjljStatisticsMapper.BjljStatisticsNumberSum(type);
    };
    //总计乡镇个数
    @Override
    public String BjljStatisticsAreaNameSum(String areaName){
        return bjljStatisticsMapper.BjljStatisticsAreaNameSum(areaName);
    };
}
